Subject: [kitten] TLS export for channel binding

From: "Sam Whited" <[email-masked]>
Date: Thu, 30 Apr 2020 16:02:17 -0400

Hi all,

I'm in need of a channel binding mechanism that works for TLS 1.3, but
as far as I can tell there isn't one. I was thinking about defining a
mechanism using RFC 5705 (which is updated by RFC 8446 so it should work
on both TLS 1.2 with appropriate cipher suites and 1.3 in general).

Is anyone aware of work already being done in this area, and if I were
to define a mechanism would it be a better fit for this working group or
for the tls WG?

I know that exporters have some caveats around how to ensure uniqueness
across different sessions, so this would likely require a great deal of
expert review if it's a feasible mechanism at all and I wasn't sure
where the best place to get that review would be.

—Sam

Thanks, Sam